import type { ModuleConfig } from "/@/cool";

export default (): ModuleConfig => {
	// 扫描文件
	const files: any = import.meta.glob(
		"./components/{assembly,fix}/*",
		{
			eager: true
		}
	);
	return {
		order: 22,
		label: "页面装修",
		description: "自定义布局页面",
		author: "柠檬不甜",
		version: "1.0.4",
		updateTime: "2024-10-25",
		components: Object.values(files),
		onLoad: () => {
			console.log(files);
		}
	};
};
